V1 and V2Products (V2 beta)

Update a product

PATCH
/api/v2/products/{product_id}

Modifies attributes from product, leaving the rest unchanged. It will return the id of the product updated.

Authorization

bearerAuth
AuthorizationBearer <token>

Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.

In: header

Path Parameters

product_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH 'https://example.com/api/v2/products/string' \  -H 'Content-Type: application/json' \  --data-raw '{  "attributes": {    "color_create_a_multiselect_type_attribute": [      "Blue"    ],    "description_create_a_rich_text_type_attribute": "Try making the description a <b>Rich Text</b> attribute so that you can format the text however you'\''d like.",    "price_create_a_decimal_number_type_attribute": null  },  "label": "Product ~ 1 - patch example",  "status": "Completed"}'
{  "data": [    {      "id": "5c4ed8002f0985001e233275",      "created": "2019-01-28T10:22:56.817000+00:00",      "modified": "2019-01-28T10:24:44.792000+00:00",      "created_user_audit": {        "type": "API",        "user_email": "api",        "user_id": "67191ed7d6e8e300016f1414",        "user_name": "api"      },      "modified_user_audit": {        "type": "API",        "user_email": "api",        "user_id": "67191ed7d6e8e300016f1414",        "user_name": "api"      }    }  ]}